import request from '@/utils/request'

export function getChanpin4DengjiSave(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/dengji/save',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}


export function getPinduChanpinBanbenList(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/banben/list',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}
export function getPinduChanpinBanbenInfo(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/banben/info',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}

export function getPinduChanpinShitiList(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/shiti/list',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}

export function getPinduChanpinShitiSave(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/shiti/save',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}


export function getPinduChanpinDanyuanInfo(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/danyuan/dagang/info',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}

export function getPinduChanpinJieInfo(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/jie/info',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}

export function getPinduChanpinSave(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/save',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}

export function getPinduChanpinWancheng(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/wancheng',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}

export function getPinduChanpinDanyuanMulu(data = {}) {
    return request({
        'url': '/app/pindu/chanpin/danyuan/list',
        headers: {
            isToken: true
        },
        method: 'post',
        data,
        timeout: 20000
    })
}
